package com.jz.sms.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 短信参数配置
 */
@Component
public class SMSConfig {


    // 通知类短信账号
    public static String notificationAccount;
    // 通知类短信密码
    public static String notificationPassword;
    // 营销类短信账号
    public static String marketingAccount;
    // 营销类短信密码
    public static String marketingPassword;
    // 固定内容发送接口地址
    public static String sendFixed;
    // 变量短信发送接口地址
    public static String sendVariable;
    // 系统接口回执报告地址
    public static String reportUrl;
    // 拉取短信报告地址
    public static  String pullReport;


    @Value("${system.config.chuanlan.notificationAccount}")
    public static void setNotificationAccount(String notificationAccount) {
        SMSConfig.notificationAccount = notificationAccount;
    }

    @Value("${system.config.chuanlan.notificationPassword}")
    public static void setNotificationPassword(String notificationPassword) {
        SMSConfig.notificationPassword = notificationPassword;
    }

    @Value("${system.config.chuanlan.marketingAccount}")
    public static void setMarketingAccount(String marketingAccount) {
        SMSConfig.marketingAccount = marketingAccount;
    }

    @Value("${system.config.chuanlan.marketingPassword}")
    public static void setMarketingPassword(String marketingPassword) {
        SMSConfig.marketingPassword = marketingPassword;
    }

    @Value("${system.config.chuanlan.sendFixed}")
    public static void setSendFixed(String sendFixed) {
        SMSConfig.sendFixed = sendFixed;
    }

    @Value("${system.config.chuanlan.sendVariable}")
    public static void setSendVariable(String sendVariable) {
        SMSConfig.sendVariable = sendVariable;
    }

    @Value("${system.config.chuanlan.reportUrl}")
    public static void setReportUrl(String reportUrl) {
        SMSConfig.reportUrl = reportUrl;
    }

    @Value("${system.config.chuanlan.pullReport}")
    public static void setPullReport(String pullReport) {
        SMSConfig.pullReport = pullReport;
    }
}
