package com.jz.sms.api;

import com.jz.sms.chuanlan.service.ChuanLanSmsService;
import com.jz.sms.dto.XfaceDmHubTemplateRequestDTO;
import com.jz.sms.dto.XfaceDmHubTemplateResponseDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("test")
public class BizController {

    @Autowired
    private ChuanLanSmsService service;

    @RequestMapping("index")
    public String index() {

        return "success";
    }


    /**
     * 创建短信模板
     *
     * @return
     */
    @RequestMapping("/sms/template")
    public XfaceDmHubTemplateResponseDTO template(XfaceDmHubTemplateRequestDTO requestDTO) {
        XfaceDmHubTemplateResponseDTO responseDTO = service.send(requestDTO);
        return responseDTO;
    }


    /**
     * 批量发送（通知或营销类）
     * @return
     */
    @RequestMapping("/sms/batch")
    public String batch() {

        return "success";
    }

    /**
     * 发送单条（通知或营销类）
     * @return
     */
    @RequestMapping("/sms/send")
    public String send() {

        return "success";
    }



}
